# Config file for nepomuk-core. Do not modify this file. Any change will be overwritten by CMake.

# This file will define the following variables:
#
# NEPOMUK_CORE_LIB_DIR : The nepomuk-core library directory
# NEPOMUK_CORE_INCLUDE_DIR : The nepomuk-core include directory
# NEPOMUK_CORE_VERSION : The nepomuk-core version
# NEPOMUK_CORE_ONTOLOGY_DIR : The nepomuk-core ontologies location
# NEPOMUK_CORE_DBUS_INTERFACES_DIR : The nepomuk-core DBUS Interfaces dir
# NEPOMUK_CORE_LIBRARY : The nepomukcore library
# NEPOMUK_CORE_SYNC_LIBRARY : The nepomuksync library

get_filename_component(_currentDir ${CMAKE_CURRENT_LIST_FILE} PATH) # The current directory
get_filename_component(rootDir ${_currentDir}/ ABSOLUTE) # The install prefix

# The nepomuk-core version
set(NEPOMUK_CORE_VERSION_MAJOR 0)
set(NEPOMUK_CORE_VERSION_MINOR 1)
set(NEPOMUK_CORE_VERSION_RELEASE 0)
set(NEPOMUK_CORE_VERSION ${NEPOMUK_CORE_VERSION_MAJOR}.${NEPOMUK_CORE_VERSION_MINOR}.${NEPOMUK_CORE_VERSION_RELEASE})

# Include directory
set(NEPOMUK_CORE_INCLUDE_DIR "/usr/include")

# Library directory
set(NEPOMUK_CORE_LIB_DIR "/usr/lib")

# Ontologies location
set(NEPOMUK_CORE_ONTOLOGY_DIR "/usr/share/ontology")

# DBUS Interfaces location
set(NEPOMUK_CORE_DBUS_INTERFACES_DIR "/usr/share/dbus-1/interfaces")

# Import the exported targets
include(${_currentDir}/NepomukCoreTargetsWithPrefix.cmake)

# Set the libraries names
set(NEPOMUK_CORE_LIBRARY nepomukcore)
set(NEPOMUK_CORE_SYNC_LIBRARY nepomuksync)
